aws-amplify/amplify-cli 软件分析报告

基础信息

项目名称:aws-amplify/amplify-cli

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1727459680500277248/1727459680542220288

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
Junit 信息泄露漏洞 不安全的临时文件 MPS-2020-15183 CVE-2020-15250 中危
Amazon Aws-sdk-js 原型污染漏洞 原型污染 MPS-2021-0649 CVE-2020-28472 严重
Async 原型污染漏洞 原型污染 MPS-2021-34434 CVE-2021-43138 高危
com.google.code.gson:gson 存在BigDecimal拒绝服务漏洞 反序列化 MPS-2022-12287 CVE-2022-25647 高危
minimatch 资源管理错误漏洞 拒绝服务 MPS-2022-59845 CVE-2022-3517 高危
xml2js 安全漏洞 原型污染 MPS-2023-4673 CVE-2023-0842 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
minimatch 3.0.4 3.0.5 间接依赖 建议修复
aws-sdk 2.790.0 2.814.0 直接依赖 建议修复
com.google.code.gson:gson 2.8.6 2.8.9 直接依赖 可选修复
xml2js 0.4.19 0.5.0 间接依赖 可选修复
junit:junit 4.10 4.13.1 间接依赖 可选修复
async 3.2.0 3.2.2 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
ISC 9
Apache-2.0 11
MIT 59
MIT-0 1
BSD-3-Clause 2
自定义许可证 10
BSD-2-Clause 2
Apache-2.0 OR MIT 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
fs.realpath 1.0.0 间接依赖 npm
aws-sdk 2.790.0 直接依赖 npm
commander 4.6.0 间接依赖 bundler
joda-time:joda-time 2.6 直接依赖 maven
optparse 0.1.1 间接依赖 bundler
plist 3.6.0 间接依赖 bundler
babosa 1.0.4 间接依赖 bundler
lodash.difference 4.5.0 间接依赖 npm
word_wrap 1.0.0 间接依赖 bundler
github.com/aws/aws-lambda-go v1.15.0 直接依赖 go
dotenv 2.7.6 间接依赖 bundler
faraday-excon 1.1.0 间接依赖 bundler
graceful-fs 4.2.4 间接依赖 npm
@types/node 14.14.7 间接依赖 npm
ieee754 1.2.1 间接依赖 npm
jwt 2.3.0 间接依赖 bundler
glob 7.1.6 间接依赖 npm
mini_mime 1.1.2 间接依赖 bundler
xcodeproj 1.21.0 间接依赖 bundler
addressable 2.8.0 间接依赖 bundler
multi_json 1.15.0 间接依赖 bundler
debug 4.2.0 间接依赖 npm
retriable 3.1.2 间接依赖 bundler
@rpath/libswiftFoundation.dylib 间接依赖
declarative 0.0.20 间接依赖 bundler
mini_magick 4.11.0 间接依赖 bundler
rubyzip 2.3.2 间接依赖 bundler
zip-stream 4.0.2 间接依赖 npm
js-yaml 3.14.0 直接依赖 npm
com.google.code.gson:gson 2.8.6 直接依赖 maven
aws-eventstream 1.2.0 间接依赖 bundler
google-apis-storage_v1 0.13.0 间接依赖 bundler
faraday-em_synchrony 1.0.0 间接依赖 bundler
buffer-crc32 0.2.13 间接依赖 npm
signet 0.16.1 间接依赖 bundler
@types/yauzl 2.9.1 间接依赖 npm
faraday-net_http 1.0.1 间接依赖 bundler
highline 2.0.3 间接依赖 bundler
sax 1.2.1 间接依赖 npm
tty-screen 0.8.1 间接依赖 bundler
artifactory 3.0.15 间接依赖 bundler
tty-cursor 0.7.1 间接依赖 bundler
xmlbuilder 9.0.7 间接依赖 npm
excon 0.92.2 间接依赖 bundler
multipart-post 2.0.0 间接依赖 bundler
com.googlecode.json-simple:json-simple 1.1.1 直接依赖 maven
nanaimo 0.3.0 间接依赖 bundler
@rpath/libswiftDarwin.dylib 间接依赖
lazystream 1.0.0 间接依赖 npm
faraday-rack 1.0.0 间接依赖 bundler
digest-crc 0.6.4 间接依赖 bundler
inherits 2.0.4 间接依赖 npm
normalize-path 3.0.0 间接依赖 npm
com.amazonaws:aws-lambda-java-core 1.2.0 直接依赖 maven
ruby2_keywords 0.0.5 间接依赖 bundler
isarray 1.0.0 间接依赖 npm
core-util-is 1.0.2 直接依赖 npm
/usr/lib/libc++.1.dylib 间接依赖
naturally 2.2.1 间接依赖 bundler
trailblazer-option 0.1.2 间接依赖 bundler
tty-spinner 0.9.3 间接依赖 bundler
buffer 4.9.2 间接依赖 npm
archiver-utils 2.1.0 间接依赖 npm
@rpath/libswiftDispatch.dylib 间接依赖
aws-sdk-kms 1.55.0 间接依赖 bundler
/usr/lib/libSystem.B.dylib 间接依赖
webrick 1.7.0 间接依赖 bundler
lodash.union 4.6.0 间接依赖 npm
faraday-multipart 1.0.3 间接依赖 bundler
brace-expansion 1.1.11 间接依赖 npm
@rpath/libswiftObjectiveC.dylib 间接依赖
org.hamcrest:hamcrest-core 1.1 间接依赖 maven
url 0.10.3 间接依赖 npm
os 1.1.4 间接依赖 bundler
once 1.4.0 间接依赖 npm
google-cloud-errors 1.2.0 间接依赖 bundler
esprima 4.0.1 间接依赖 npm
faraday-net_http_persistent 1.2.0 间接依赖 bundler
async 3.2.0 间接依赖 npm
querystring 0.2.0 间接依赖 npm
jmespath 1.6.1 间接依赖 bundler
security 0.1.3 间接依赖 bundler
@rpath/libswiftCore.dylib 间接依赖
util-deprecate 1.0.2 间接依赖 npm
representable 3.1.1 间接依赖 bundler
colored2 3.1.2 间接依赖 bundler
base64-js 1.5.1 间接依赖 npm
http-cookie 1.0.4 间接依赖 bundler
uber 0.1.0 间接依赖 bundler
punycode 1.3.2 间接依赖 npm
process-nextick-args 2.0.1 直接依赖 npm
get-stream 5.2.0 间接依赖 npm
CFPropertyList 3.0.5 间接依赖 bundler
crc32-stream 4.0.0 间接依赖 npm
rake 13.0.6 间接依赖 bundler
terminal-notifier 2.0.0 间接依赖 bundler
simctl 1.6.8 间接依赖 bundler
path-is-absolute 1.0.1 间接依赖 npm
faraday-em_http 1.0.0 间接依赖 bundler
faraday-patron 1.0.0 间接依赖 bundler
com.amazonaws:aws-lambda-java-events 2.2.7 直接依赖 maven
yauzl 2.10.0 间接依赖 npm
aws-sdk-core 3.130.0 间接依赖 bundler
urlparse 间接依赖 pip
google-cloud-storage 1.36.1 间接依赖 bundler
faraday-httpclient 1.0.1 间接依赖 bundler
google-apis-iamcredentials_v1 0.10.0 间接依赖 bundler
pump 3.0.0 间接依赖 npm
aws-partitions 1.575.0 间接依赖 bundler
faraday-retry 1.0.3 间接依赖 bundler
string_decoder 1.1.1 间接依赖 npm
memoist 0.16.2 间接依赖 bundler
titlecase 间接依赖 pip
readable-stream 3.6.0 间接依赖 npm
aws-sdk-s3 1.113.0 间接依赖 bundler
safe-buffer 5.1.2 间接依赖 npm
fastimage 2.2.6 间接依赖 bundler
events 1.1.1 间接依赖 npm
xml2js 0.4.19 间接依赖 npm
emoji_regex 3.2.3 间接依赖 bundler
lodash.flatten 4.4.0 间接依赖 npm
google-cloud-core 1.6.0 间接依赖 bundler
minimatch 3.0.4 间接依赖 npm
google-apis-playcustomapp_v1 0.7.0 间接依赖 bundler
end-of-stream 1.4.4 间接依赖 npm
compress-commons 4.0.1 间接依赖 npm
argparse 1.0.10 间接依赖 npm
unicode-display_width 1.8.0 间接依赖 bundler
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation 间接依赖
google-cloud-env 1.6.0 间接依赖 bundler
xcpretty 0.3.0 间接依赖 bundler
unf 0.1.4 间接依赖 bundler
terminal-table 1.8.0 间接依赖 bundler
rouge 2.0.7 间接依赖 bundler
extract-zip 2.0.1 直接依赖 npm
faraday-cookie_jar 0.0.7 间接依赖 bundler
jmespath 0.15.0 间接依赖 npm
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation 间接依赖
atomos 0.1.3 间接依赖 bundler
rexml 3.2.5 间接依赖 bundler
googleauth 1.1.2 间接依赖 bundler
readdir-glob 1.1.1 间接依赖 npm
bl 4.0.3 间接依赖 npm
junit:junit 4.10 间接依赖 maven
lodash.isplainobject 4.0.6 间接依赖 npm
tar-stream 2.1.4 间接依赖 npm
json 2.6.1 间接依赖 bundler
uuid 3.3.2 间接依赖 npm
bundler 间接依赖 bundler
ms 2.1.2 间接依赖 npm
quote 间接依赖 pip
fd-slicer 1.1.0 间接依赖 npm
sprintf-js 1.0.3 间接依赖 npm
public_suffix 4.0.7 间接依赖 bundler
gh_inspector 1.1.3 间接依赖 bundler
domain_name 0.5.20190701 间接依赖 bundler
unf_ext 0.0.8.1 间接依赖 bundler
/usr/lib/libobjc.A.dylib 间接依赖
crc 3.8.0 间接依赖 npm
aws-sigv4 1.4.0 间接依赖 bundler
archiver 5.0.2 直接依赖 npm
google-apis-androidpublisher_v3 0.18.0 间接依赖 bundler
wrappy 1.0.2 间接依赖 npm
faraday 1.10.0 间接依赖 bundler
balanced-match 1.0.0 间接依赖 npm
inflight 1.0.6 间接依赖 npm
claide 1.1.0 间接依赖 bundler
concat-map 0.0.1 间接依赖 npm
xcpretty-travis-formatter 1.0.1 间接依赖 bundler
google-apis-core 0.4.2 间接依赖 bundler
fs-constants 1.0.0 间接依赖 npm
faraday_middleware 1.2.0 间接依赖 bundler
pend 1.2.0 间接依赖 npm
httpclient 2.8.3 间接依赖 bundler
colored 1.2 间接依赖 bundler
lodash.defaults 4.2.0 间接依赖 npm
fastlane 2.205.1 间接依赖 bundler
(0)
上一篇 2023年11月23日
下一篇 2023年11月23日

相关推荐

  • inns/mak 软件分析报告

    基础信息 项目名称:inns/mak 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721278028318593024/1731059498757873664 此报告由Murphysec提供 漏洞列表 暂无 缺…

    软件分析 2023年12月3日
    0
  • glock45/swifter 软件分析报告

    基础信息 项目名称:glock45/swifter 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718156236193136640/1718156236331548672 此报告由Murphysec提供 漏洞…

    软件分析 2023年10月28日
    0
  • dedecms/DedeCMS 软件分析报告

    基础信息 项目名称:dedecms/DedeCMS 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717101983152340992/1717101983601131520 此报告由Murphysec提供 漏洞…

    软件分析 2023年10月25日
    0
  • eduardoboucas/buildtimes 软件分析报告

    基础信息 项目名称:eduardoboucas/buildtimes 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721158411596333056/1729324195115913216 此报告由Murph…

    软件分析 2023年11月28日
    0
  • dingdangmao123/javaredis 软件分析报告

    基础信息 项目名称:dingdangmao123/javaredis 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717166784465469440/1717166793395142656 此报告由Murph…

    软件分析 2023年10月25日
    0